## debtorrent 0.1.5

=== debian/changelog ===
debtorrent (0.1.5) unstable; urgency=low

  * Update to support apt debtorrent transport version 0.2
    - send piece downloaded status messages
      (currently disbaled due to apt not liking it)
    - send general status update messages
  * Fix some minor packaging issues
  * Upgrade to standards version 3.7.3 (no changes)
  * Remove the unneeded binary-arch rule
  * Changes the XS-Vcs-* headers to Vcs-*
  * Moved Homepage from description to Source package fields

 -- Cameron Dale <camrdale@gmail.com>  Wed, 09 Jan 2008 19:12:15 -0800

debtorrent (0.1.4.4) unstable; urgency=low

  * Empty new release to make sure DM is working.

 -- Cameron Dale <camrdale@gmail.com>  Thu, 18 Oct 2007 12:22:00 -0700

debtorrent (0.1.4.3) unstable; urgency=low

  * add a new option to bind just the apt listener (Closes: #446959)

 -- Cameron Dale <camrdale@gmail.com>  Tue, 16 Oct 2007 20:43:46 -0700

debtorrent (0.1.4.2) unstable; urgency=low

  * Add logrotate file (Closes: #440510, #446297)
  * Word wrap some documentation at 80 columns (Closes: #445676)
  * Add Dm-Upload-Allowed header for Debian Maintainer uploads

 -- Cameron Dale <camrdale@gmail.com>  Mon, 15 Oct 2007 14:13:00 -0700

debtorrent (0.1.4.1) unstable; urgency=low

  * Fix the copyright file for addition to debian archive (Closes: #428005)
  * Fix a minor tracker bug in NAT checking

 -- Cameron Dale <camrdale@gmail.com>  Fri, 24 Aug 2007 14:13:00 -0700

debtorrent (0.1.4) unstable; urgency=low

  * APT communication supports HTTP/1.1 connections, including
    persistent connections and pipelining
  * Add support for the new debtorrent APT transport method
    (see the new apt-transport-debtorrent package)
  * Make the Packages decompression and torrent creation threaded
  * Improve the startup initialization of files
  * Add init and configuration files for the tracker
  * bug fixes:
    - restarts would fail when downloaded files have been modified
    - deleting old cached data would fail
    - small tracker bug causing exceptions
    - prevent enabling files before the initialization is complete
    - only connect to unique peers from the tracker that are not
      already connected
    - tracker would return all torrents' peers for every request

 -- Cameron Dale <camrdale@gmail.com>  Sat, 17 Aug 2007 14:13:00 -0700

debtorrent (0.1.3.1) unstable; urgency=low

  * First debian package release (Closes: #428005)
  * fixed: cached HTTP 404 responses get passed properly to APT
  * fixed: downloading the same file from a previous torrent works now

 -- Cameron Dale <camrdale@gmail.com>  Sat, 11 Aug 2007 14:13:00 -0700

debtorrent (0.1.3) unstable; urgency=low

  * Cleanup all the configuration options
  * Add a global config file
  * Moved all logging to log files
  * Stopped displaying periodic updates
  * Added init script and default options

 -- Cameron Dale <camrdale@gmail.com>  Fri, 20 Jul 2007 14:03:00 -0700

debtorrent (0.1.2)

  * Add proxying capability to listen for HTTP requests from APT
  * Add caching for all files downloaded
  * Add automatic starting of torrents when Packages files are downloaded
  * Modify startup to initialize all torrent downloads to download nothing
  * Add automatic enabling of files to download based on requests from APT
  * Add a backup HTTP download from a mirror when no peers can be found
    for a package
  * Modify torrent creation to break large packages into multiple pieces based
    on the information from http://merkel.debian.org/~ajt/extrapieces/
    (thanks to aj most of this)
  * Add download status information available from http://localhost:9988/
  * Add lots more documentation

 -- Cameron Dale <camrdale@gmail.com>  Mon,  9 Jul 2007 14:03:00 -0700

debtorrent (0.1.1)

  * Add ability to parse dpkg status for priorities of files to download
  * Modify btlaunchmany and btshowmetainfo to work with Packages files directly
  * Fixed a bug in bittornado that prevented using priorities with 
    pre-allocation: http://forums.degreez.net/viewtopic.php?t=7155
  * Directories are no longer pre-allocated when they will contain no files
  * Added lots of documentation

 -- Cameron Dale <camrdale@gmail.com>  Mon, 28 May 2007 17:11:00 -0700

debtorrent (0.1.0)

  * Initial release, based on BitTornado 0.3.18
  * Added variable-sized pieces capability
  * Modified programs to create/use .dtorrent files
  * Added ability to use Packages files directly

 -- Cameron Dale <camrdale@gmail.com>  Mon,  7 May 2007 20:59:00 -0700
