=== debian/control ===
Source: debtorrent
Section: net
Priority: optional
Maintainer: Cameron Dale <camrdale@gmail.com>
Homepage: http://debtorrent.alioth.debian.org/
Build-Depends: debhelper (>= 5.0.37.2)
Build-Depends-Indep: python-dev, python-support (>= 0.5.4), docbook-to-man
Standards-Version: 3.7.3
Vcs-Svn: svn://svn.debian.org/debtorrent/debtorrent/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debtorrent/debtorrent/trunk/
XS-Dm-Upload-Allowed: yes

Package: debtorrent
Architecture: all
Depends: ${python:Depends}, adduser
Suggests: python-psyco
Recommends: python-crypto, apt-transport-debtorrent (>= 0.2)
Provides: python-debtorrent
Description: bittorrent proxy for downloading Debian packages
 DebTorrent is a proxy for downloading Debian packages files with APT.
 It will download any needed packages from other DebTorrent peers in a
 bittorrent-like manner, and so reduce the strain on the Debian mirrors.
 .
 The DebTorrent client runs as a daemon, automatically started on bootup,
 and listens for requests from APT for files. Any non-package files are
 downloaded and served to APT similarly to other proxying software (e.g.
 apt-proxy, apt-cacher, and approx). The configuration is very simple,
 and only involves prepending a server and port to your current
 sources.list files (similar to apt-cacher).
 .
 When downloading package files, the DebTorrent client will try to use
 any other DebTorrent clients it can find to download from. This will
 use the uploading bandwidth of other peers, while reducing the demand
 on the Debian mirror network. However, if a package cannot be found
 on any peers, DebTorrent will fall back to downloading from a mirror
 to ensure all packages are downloaded.
