## debtorrent 0.1.8

=== debian/changelog ===
debtorrent (0.1.8) unstable; urgency=low

  * Fix: stopping long-lived torrents will not prevent new torrents from
    stalling at 'waiting for hash check' (Closes: #463676)

 -- Cameron Dale <camrdale@gmail.com>  Sun, 22 Jun 2008 12:16:14 -0700

debtorrent (0.1.7) unstable; urgency=low

  * Display the torrent identifier on the local status page
    rather than the info hash (Closes: #465339)
  * Add support for the new No Content message to apt-transport-debtorrent
    so that apt treats debtorrent sources as local
  * Make the pieces and unique piece number locations config options,
    and use the new ones at merkel.debian.org/~camrdale/.
  * Decompress the files needed to create torrents so they are created
    and started faster (this and the previous Closes: #463676)

 -- Cameron Dale <camrdale@gmail.com>  Thu, 19 Jun 2008 20:29:13 -0700

debtorrent (0.1.6) experimental; urgency=low

  * Add support for unique piece numbers
    - increases duration of oft-updated torrents so that more peers can
      participate
    - currently supported only by debian testing and unstable
    - see http://wiki.debian.org/DebTorrent/UniquePieces for more info
  * Switch to using 2 torrents per Packages file: one for architecture-
    specific files, and one for architecture-independent files
    - also added a new script split_cache_for_all to ease the upgrade
  * Use python-debian for all reading of RFC 822 type files
    - also requires python-apt
  * Add torrent names to the tracker display
  * Make the download/upload statistics persist over restarts
  * Report more and better statistics on the tracker's info page

 -- Cameron Dale <camrdale@gmail.com>  Sun, 27 Jan 2008 21:23:02 -0800
