=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: debtorrent
 Architecture: all
-Depends: ${python:Depends}, adduser
+Depends: ${python:Depends}, adduser, python-debian (>= 0.1.4), python-apt
 Suggests: python-psyco
 Recommends: python-crypto, apt-transport-debtorrent (>= 0.2)
 Provides: python-debtorrent
