## debtorrent 0.1.9

=== debian/changelog ===
debtorrent (0.1.9) unstable; urgency=low

  * Fix download/upload stats are correct after restarting torrents,
    thanks to Steve Cotton for the fix (Closes: #487829)
  * Use the HTTP downloads from the mirror in parallel with peers.
  * Add display of amount downloaded by HTTP to the info page,
    thanks to Steve Cotton for the fix (Closes: #488415)
  * Change the default logging to INFO (Closes: #466919)
  * Update standards version to 3.8.0 (no changes)

 -- Cameron Dale <camrdale@gmail.com>  Fri, 25 Jul 2008 17:50:51 -0700
