=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Homepage: http://debtorrent.alioth.debian.org/
 Build-Depends: debhelper (>= 5.0.37.2)
 Build-Depends-Indep: python-dev, python-support (>= 0.5.4), docbook-to-man
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Vcs-Svn: svn://svn.debian.org/debtorrent/debtorrent/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debtorrent/debtorrent/trunk/
 XS-Dm-Upload-Allowed: yes
