=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,8 @@
 	
 	# Remove the .py from the end of each of these and move them out of
 	# the path
-	for i in test hippy btmakemetafile btcompletedir btreannounce \
+	for i in test hippy uniquely split_cache_for_all \
+		btmakemetafile btcompletedir btreannounce \
 		btrename btshowmetainfo btcopyannounce btsetdebmirrors; \
 	do mv debian/debtorrent/usr/bin/$$i.py debian/debtorrent/usr/share/debtorrent/$$i || exit 1; done
