## debtorrent 0.1.10

=== debian/changelog ===
debtorrent (0.1.10) unstable; urgency=low

  * Fix endless rerequesting pieces HTTP seed doesn't have
    (Closes: #516708, #451176)
  * Fix piuparts uninstallation failure (Closes: #574198)
  * Prevent symlink attack when upgrading from pre 0.1.6 (Closes: #500180)
  * Add a status verb to init.d scripts (Closes: #498606)
  * Fix exception when server doesn't return modified time (Closes: #515753)
  * Add a graphical display of the pieces all peers have, thanks 
    Steve Cotton (Closes: #515771)
  * Fix bug in info page display when seeding (Closes: #524056)
  * Fix for the unicode strings now returned by python-debian
    (Closes: #574772)
  * Use python-debian's new debian package, debian_bundle is deprecated
  * Fix a lot of lintian warnings and errors
    - Update standards version to 3.8.4 (no changes)

 -- Cameron Dale <camrdale@gmail.com>  Sat, 20 Mar 2010 20:58:28 -0700
