=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Cameron Dale <camrdale@gmail.com>
 Homepage: http://debtorrent.alioth.debian.org/
 Build-Depends: debhelper (>= 5.0.37.2)
-Build-Depends-Indep: python-dev, python-support (>= 0.5.4), docbook-to-man
-Standards-Version: 3.8.0
+Build-Depends-Indep: python, python-support (>= 0.5.4), docbook-to-man
+Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/debtorrent/debtorrent/trunk
 Vcs-Browser: http://svn.debian.org/wsvn/debtorrent/debtorrent/trunk/
 XS-Dm-Upload-Allowed: yes
 
 Package: debtorrent
 Architecture: all
-Depends: ${python:Depends}, adduser, python-debian (>= 0.1.4), python-apt
+Depends: ${misc:Depends}, ${python:Depends}, adduser, python-debian (>= 0.1.15), python-apt
 Suggests: python-psyco
 Recommends: python-crypto, apt-transport-debtorrent (>= 0.2)
 Provides: python-debtorrent
